Package Gnumed :: Package wxpython :: Module gmGuiHelpers |
[frames] | no frames]

# Module gmGuiHelpers

source code

GNUmed GUI helper classes and functions.

This module provides some convenient wxPython GUI helper thingies that are widely used throughout GNUmed.

Author: K. Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Classes
| cThreeValuedLogicPhraseWheel
| c2ButtonQuestionDlg
| c3ButtonQuestionDlg
| cMultilineTextEntryDlg Editor for a bit of text.
| cTreeExpansionHistoryMixin TreeCtrl mixin class to record expansion history.
| cFileDropTarget Generic file drop target class.

Functions
file2scaled_image(filename=None, height=100) | source code
gm_show_error(aMessage=None, aTitle=None, error=None, title=None) | source code
gm_show_info(aMessage=None, aTitle=None, info=None, title=None) | source code
gm_show_warning(aMessage=None, aTitle=None) | source code
gm_show_question(aMessage=`'``programmer forgot to specify question``'`, aTitle=`'``generic user question dialog``'`, cancel_button=False, question=None, title=None) | source code

Variables
| __package__ = ``'``Gnumed.wxpython``'``

Imports: os, logging, sys, wx, gmMatchProvider, gmExceptions, gmLog2, gmTools, gmPhraseWheel, wxg2ButtonQuestionDlg, wxg3ButtonQuestionDlg, wxgMultilineTextEntryDlg